Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

Body

application/json

Request body for bulk uploading product families and their variants.

products
Bulk Product Family · object[]
required

Product families to create or update. Between 1 and 1000 per request.

Required array length: 1 - 1000 elements

Response

Upload completed

Response from a bulk product upload operation.

total_count
integer
required

Total number of product families in the request.

processed_count
integer
required

Number of product families processed successfully.

error_count
integer
required

Number of product families that failed to process.

results
(Success Result · object | Error Result · object)[]
required

Per-product-family results.

A product family that was created or updated successfully.